API reference · API validations

Validate bank statement v2

POST/api/validate/bank-statement/v2

Base URL: https://demo-api.incodesmile.com — Incode demo environment

This endpoint is used to validate and get the information from a bank statement.

Path & query parameters

Name In Type Required Description
dummy query boolean Enables sending any pdf and will return a dummy response.
api-version header string yes

Request body

Field Type Required Description
base64File string yes Base64 string representation of the bank statement pdf.

Responses

200

Fields are optional, based on the bank statement format - name: String. - account_num: String. - clabe: String. - summary: String. - bank: String. - rfc: String. - starting_balance: Float. - ending_balance: Float. - pdf_quality: Number. - summary: Object. Object with detailed information on balance, deposits, withdrawals and fees. - txs: Array of transactions.

400

Bad Request

Response body (application/json):

Field Type Required Description
timestamp integer (int64) UTC timestamp in milliseconds
status integer (int32) Custom error code or HTTP status code
error string HTTP status error
message string Custom error message
path string Endpoint path
details object Custom error details
Was this page helpful?